package com.chinaitop.depot.common;

import com.chinaitop.depot.feign.BasicStorehouseFeignClient;
import com.chinaitop.depot.feign.vo.BasicEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * @author Mr.zxb
 * @date 2022-04-16 10:30
 */
@Component
public class BasicStorehouseFeignClientFallback implements BasicStorehouseFeignClient {
    private final static Logger logger = LoggerFactory.getLogger(BasicStorehouseFeignClientFallback.class);
    @Override
    public BigDecimal getStoreDesignCapacityById(Integer storehouseId) {
        logger.info("Hystrix fallback getDesignCapacity timeout or error: " + storehouseId);
        return null;
    }

    @Override
    public BasicEnum findByEnum(Integer enumId) {
        return null;
    }
}
