package com.chinaitop.depot.common;

import com.chinaitop.depot.feign.BasicStorehouseFeignClient;
import com.chinaitop.depot.feign.BasicWarehouseFeignClient;
import com.chinaitop.depot.feign.GrainCardFeignClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-07-20 15:16
 */
@Component
public class HystrixClientFallback implements BasicWarehouseFeignClient, GrainCardFeignClient {
    private final static Logger logger = LoggerFactory.getLogger(HystrixClientFallback.class);

    @Override
    public void updateWarehouseCrkStatus(String wareJson) {
        logger.info("Hystrix fallback updateWarehouseCrkStatus: " + wareJson);
    }

    @Override
    public void updateKcswLsxz(String json) {
        logger.info("Hystrix fallback updateKcswLsxz: " + json);
    }

}
