package com.chinaitop.depot.grainSituationCard.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageTempCard {
    private String id;

    private String lqId;

    private String orgId;

    private Date dataTime;

    private BigDecimal outTemp;

    private BigDecimal outH;

    private BigDecimal inTemp;

    private BigDecimal inH;

    private BigDecimal maxTemp;

    private String maxDot;

    private BigDecimal minTemp;

    private String minDot;

    private BigDecimal avgTemp;

    private BigDecimal motorTempOne;

    private String motorDotOne;

    private BigDecimal motorTempTwo;

    private String motorDotTwo;

    private BigDecimal motorTempThree;

    private String motorDotThree;

    private BigDecimal motorTempFour;

    private String motorDotFour;

    private BigDecimal motorTempFive;

    private String motorDotFive;

    private BigDecimal motorTempSix;

    private String motorDotSix;

    private String sRemark;

    private String cardNum;

    private String storehouse;

    private String storehouseName;

    private String house;

    private String houseName;

    private String flagType;

    private String tPoints;

    /**
     * 粮温测量id
     * @return id 粮温测量id
     */
    public String getId() {
        return id;
    }

    /**
     * 粮温测量id
     * @param id 粮温测量id
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 关联粮情id
     * @return lq_id 关联粮情id
     */
    public String getLqId() {
        return lqId;
    }

    /**
     * 关联粮情id
     * @param lqId 关联粮情id
     */
    public void setLqId(String lqId) {
        this.lqId = lqId == null ? null : lqId.trim();
    }

    /**
     * 组织机构编码
     * @return org_id 组织机构编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构编码
     * @param orgId 组织机构编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 数据采集时间
     * @return data_time 数据采集时间
     */
    public Date getDataTime() {
        return dataTime;
    }

    /**
     * 数据采集时间
     * @param dataTime 数据采集时间
     */
    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    /**
     * 仓外温 单位：摄氏度，精确到小数点后1位(气温)
     * @return out_temp 仓外温 单位：摄氏度，精确到小数点后1位(气温)
     */
    public BigDecimal getOutTemp() {
        return outTemp;
    }

    /**
     * 仓外温 单位：摄氏度，精确到小数点后1位(气温)
     * @param outTemp 仓外温 单位：摄氏度，精确到小数点后1位(气温)
     */
    public void setOutTemp(BigDecimal outTemp) {
        this.outTemp = outTemp;
    }

    /**
     * 外湿
     * @return out_h 外湿
     */
    public BigDecimal getOutH() {
        return outH;
    }

    /**
     * 外湿
     * @param outH 外湿
     */
    public void setOutH(BigDecimal outH) {
        this.outH = outH;
    }

    /**
     * 仓温
     * @return in_temp 仓温
     */
    public BigDecimal getInTemp() {
        return inTemp;
    }

    /**
     * 仓温
     * @param inTemp 仓温
     */
    public void setInTemp(BigDecimal inTemp) {
        this.inTemp = inTemp;
    }

    /**
     * 仓湿
     * @return in_h 仓湿
     */
    public BigDecimal getInH() {
        return inH;
    }

    /**
     * 仓湿
     * @param inH 仓湿
     */
    public void setInH(BigDecimal inH) {
        this.inH = inH;
    }

    /**
     * 最高温
     * @return max_temp 最高温
     */
    public BigDecimal getMaxTemp() {
        return maxTemp;
    }

    /**
     * 最高温
     * @param maxTemp 最高温
     */
    public void setMaxTemp(BigDecimal maxTemp) {
        this.maxTemp = maxTemp;
    }

    /**
     * 最高温部位(例:1层-1-1)
     * @return max_dot 最高温部位(例:1层-1-1)
     */
    public String getMaxDot() {
        return maxDot;
    }

    /**
     * 最高温部位(例:1层-1-1)
     * @param maxDot 最高温部位(例:1层-1-1)
     */
    public void setMaxDot(String maxDot) {
        this.maxDot = maxDot == null ? null : maxDot.trim();
    }

    /**
     * 最低温
     * @return min_temp 最低温
     */
    public BigDecimal getMinTemp() {
        return minTemp;
    }

    /**
     * 最低温
     * @param minTemp 最低温
     */
    public void setMinTemp(BigDecimal minTemp) {
        this.minTemp = minTemp;
    }

    /**
     * 最低温部位(例:2层-1-2)
     * @return min_dot 最低温部位(例:2层-1-2)
     */
    public String getMinDot() {
        return minDot;
    }

    /**
     * 最低温部位(例:2层-1-2)
     * @param minDot 最低温部位(例:2层-1-2)
     */
    public void setMinDot(String minDot) {
        this.minDot = minDot == null ? null : minDot.trim();
    }

    /**
     * 平均温
     * @return avg_temp 平均温
     */
    public BigDecimal getAvgTemp() {
        return avgTemp;
    }

    /**
     * 平均温
     * @param avgTemp 平均温
     */
    public void setAvgTemp(BigDecimal avgTemp) {
        this.avgTemp = avgTemp;
    }

    /**
     * 机动点一温度
     * @return motor_temp_one 机动点一温度
     */
    public BigDecimal getMotorTempOne() {
        return motorTempOne;
    }

    /**
     * 机动点一温度
     * @param motorTempOne 机动点一温度
     */
    public void setMotorTempOne(BigDecimal motorTempOne) {
        this.motorTempOne = motorTempOne;
    }

    /**
     * 机动点一部位
     * @return motor_dot_one 机动点一部位
     */
    public String getMotorDotOne() {
        return motorDotOne;
    }

    /**
     * 机动点一部位
     * @param motorDotOne 机动点一部位
     */
    public void setMotorDotOne(String motorDotOne) {
        this.motorDotOne = motorDotOne == null ? null : motorDotOne.trim();
    }

    /**
     * 机动点二温度
     * @return motor_temp_two 机动点二温度
     */
    public BigDecimal getMotorTempTwo() {
        return motorTempTwo;
    }

    /**
     * 机动点二温度
     * @param motorTempTwo 机动点二温度
     */
    public void setMotorTempTwo(BigDecimal motorTempTwo) {
        this.motorTempTwo = motorTempTwo;
    }

    /**
     * 机动点二部位
     * @return motor_dot_two 机动点二部位
     */
    public String getMotorDotTwo() {
        return motorDotTwo;
    }

    /**
     * 机动点二部位
     * @param motorDotTwo 机动点二部位
     */
    public void setMotorDotTwo(String motorDotTwo) {
        this.motorDotTwo = motorDotTwo == null ? null : motorDotTwo.trim();
    }

    /**
     * 机动点三温度
     * @return motor_temp_three 机动点三温度
     */
    public BigDecimal getMotorTempThree() {
        return motorTempThree;
    }

    /**
     * 机动点三温度
     * @param motorTempThree 机动点三温度
     */
    public void setMotorTempThree(BigDecimal motorTempThree) {
        this.motorTempThree = motorTempThree;
    }

    /**
     * 机动点三部位
     * @return motor_dot_three 机动点三部位
     */
    public String getMotorDotThree() {
        return motorDotThree;
    }

    /**
     * 机动点三部位
     * @param motorDotThree 机动点三部位
     */
    public void setMotorDotThree(String motorDotThree) {
        this.motorDotThree = motorDotThree == null ? null : motorDotThree.trim();
    }

    /**
     * 机动点四温度
     * @return motor_temp_four 机动点四温度
     */
    public BigDecimal getMotorTempFour() {
        return motorTempFour;
    }

    /**
     * 机动点四温度
     * @param motorTempFour 机动点四温度
     */
    public void setMotorTempFour(BigDecimal motorTempFour) {
        this.motorTempFour = motorTempFour;
    }

    /**
     * 机动点四部位
     * @return motor_dot_four 机动点四部位
     */
    public String getMotorDotFour() {
        return motorDotFour;
    }

    /**
     * 机动点四部位
     * @param motorDotFour 机动点四部位
     */
    public void setMotorDotFour(String motorDotFour) {
        this.motorDotFour = motorDotFour == null ? null : motorDotFour.trim();
    }

    /**
     * 机动点五温度
     * @return motor_temp_five 机动点五温度
     */
    public BigDecimal getMotorTempFive() {
        return motorTempFive;
    }

    /**
     * 机动点五温度
     * @param motorTempFive 机动点五温度
     */
    public void setMotorTempFive(BigDecimal motorTempFive) {
        this.motorTempFive = motorTempFive;
    }

    /**
     * 机动点五部位
     * @return motor_dot_five 机动点五部位
     */
    public String getMotorDotFive() {
        return motorDotFive;
    }

    /**
     * 机动点五部位
     * @param motorDotFive 机动点五部位
     */
    public void setMotorDotFive(String motorDotFive) {
        this.motorDotFive = motorDotFive == null ? null : motorDotFive.trim();
    }

    /**
     * 机动点六温度
     * @return motor_temp_six 机动点六温度
     */
    public BigDecimal getMotorTempSix() {
        return motorTempSix;
    }

    /**
     * 机动点六温度
     * @param motorTempSix 机动点六温度
     */
    public void setMotorTempSix(BigDecimal motorTempSix) {
        this.motorTempSix = motorTempSix;
    }

    /**
     * 机动点六部位
     * @return motor_dot_six 机动点六部位
     */
    public String getMotorDotSix() {
        return motorDotSix;
    }

    /**
     * 机动点六部位
     * @param motorDotSix 机动点六部位
     */
    public void setMotorDotSix(String motorDotSix) {
        this.motorDotSix = motorDotSix == null ? null : motorDotSix.trim();
    }

    /**
     * 备注
     * @return s_remark 备注
     */
    public String getsRemark() {
        return sRemark;
    }

    /**
     * 备注
     * @param sRemark 备注
     */
    public void setsRemark(String sRemark) {
        this.sRemark = sRemark == null ? null : sRemark.trim();
    }

    /**
     * 粮情卡编号(温度测量记录),关联主表(storage_grain_card主键id)
     * @return card_num 粮情卡编号(温度测量记录),关联主表(storage_grain_card主键id)
     */
    public String getCardNum() {
        return cardNum;
    }

    /**
     * 粮情卡编号(温度测量记录),关联主表(storage_grain_card主键id)
     * @param cardNum 粮情卡编号(温度测量记录),关联主表(storage_grain_card主键id)
     */
    public void setCardNum(String cardNum) {
        this.cardNum = cardNum == null ? null : cardNum.trim();
    }

    /**
     * 仓房编号
     * @return storehouse 仓房编号
     */
    public String getStorehouse() {
        return storehouse;
    }

    /**
     * 仓房编号
     * @param storehouse 仓房编号
     */
    public void setStorehouse(String storehouse) {
        this.storehouse = storehouse == null ? null : storehouse.trim();
    }

    /**
     * 仓房名称
     * @return storehouse_name 仓房名称
     */
    public String getStorehouseName() {
        return storehouseName;
    }

    /**
     * 仓房名称
     * @param storehouseName 仓房名称
     */
    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName == null ? null : storehouseName.trim();
    }

    /**
     * 货位编号
     * @return house 货位编号
     */
    public String getHouse() {
        return house;
    }

    /**
     * 货位编号
     * @param house 货位编号
     */
    public void setHouse(String house) {
        this.house = house == null ? null : house.trim();
    }

    /**
     * 货位名称
     * @return house_name 货位名称
     */
    public String getHouseName() {
        return houseName;
    }

    /**
     * 货位名称
     * @param houseName 货位名称
     */
    public void setHouseName(String houseName) {
        this.houseName = houseName == null ? null : houseName.trim();
    }

    /**
     * 标记类型(保存:1,提交:2)
     * @return flag_type 标记类型(保存:1,提交:2)
     */
    public String getFlagType() {
        return flagType;
    }

    /**
     * 标记类型(保存:1,提交:2)
     * @param flagType 标记类型(保存:1,提交:2)
     */
    public void setFlagType(String flagType) {
        this.flagType = flagType == null ? null : flagType.trim();
    }

    /**
     * X是行号，y是列号，z是层号,temp:温度值
     * @return t_points X是行号，y是列号，z是层号,temp:温度值
     */
    public String gettPoints() {
        return tPoints;
    }

    /**
     * X是行号，y是列号，z是层号,temp:温度值
     * @param tPoints X是行号，y是列号，z是层号,temp:温度值
     */
    public void settPoints(String tPoints) {
        this.tPoints = tPoints == null ? null : tPoints.trim();
    }
}