package com.chinaitop.depot.grainSituationCard.service;

import com.chinaitop.depot.grainSituationCard.model.StorageGrainCard;
import com.chinaitop.depot.grainSituationCard.model.StorageQualitycheckCard;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-07-02 20:08
 */
public interface StorageGrainCardService {
    /**
     * 选择仓房货位查询列表信息,分页.
     *
     * @param storehouseId
     * @param warehouseId
     * @param orgId
     * @param sfgd 是否归档(1:否,0:是)
     * @return
     */
    List<StorageGrainCard> getList(Integer storehouseId, Integer warehouseId, String createTime, String orgId, String sfgd,Integer qualitycheckId);

    /**
     * 保存市平台审批通过数据
     *
     * @param storageGrainCards
     * @throws Exception 
     */
    Map<String, Object> saveData(List<StorageGrainCard> storageGrainCards) throws Exception;

    /**
     * @param grainCard
     */
    void updateData(StorageGrainCard grainCard);

    /**
     * 查看粮情卡
     *
     * @param id
     * @return
     */
    Map<String, Object> getGrainCard(Integer id);

    /**
     * 查看质量卡
     *
     * @param id
     * @param orgId
     * @return
     */
    List<StorageQualitycheckCard> findQuailckCardList(String id, String orgId);

    /**
     * 根据id获取原粮粮情卡数据.
     *
     * @param id
     * @return
     */
    StorageGrainCard findGrainCardById(String id);

    /**
     * 手动补录粮油情保存方法
     *
     * @param grainOil
     */
    void saveGrainOilCardData(StorageGrainCard grainOil);

    /**
     * 查询质量检验生产年度
     * @param houseId
     * @param orgId
     * @return
     */
    Map<String, Object> findQualityCheckScnd(Integer houseId, Integer warehouseId, String orgId, Integer parentId);

    /**
     * 卡id删除所有主表和子表数据(已保存未提交的数据)
     * @param id
     * @return
     */
    void gainOilCardAllDelete(String id, String orgId);

    /**
     * 更新flagType(保存:1,提交:2)
     * @param id
     */
    void updateGainOilCardFlagType(String id);

    List<StorageGrainCard> selectAndOrgId(String orgId);

    /**
     * 把当前数据(graincard)对应的仓房货位之外的未归档粮情卡数据归档了
     * @param graincard
     */
    void updateByExampleSelective(StorageGrainCard graincard);

    /**
     * 校验市平台传过来的数据是否合法
     * @param storageGrainCards
     * @return
     */
    Map<String, Object> checkData(StorageGrainCard storageGrainCards) throws Exception;
}
