package com.chinaitop.depot.grainSituationCard.service;

import com.chinaitop.depot.feign.vo.BasicEnum;
import com.chinaitop.depot.grainSituationCard.model.StorageOverDueAlarmView;
import com.chinaitop.depot.grainSituationCard.model.StorageOverRunAlarm;

import java.math.BigDecimal;
import java.util.List;

/**
 * 库存超限告警接口
 * @author aihua
 */
public interface StorageOverDueAlarmService {
    /**
     * 查询储存超限告警列表
     * @param orgId 组织机构ID
     * @return {@link StorageOverDueAlarmView} vo list
     */
    List<StorageOverDueAlarmView> getAlarmList(String orgId);


    /**
     * 查询设计设计仓容
     * @param storehouseId 仓房ID
     * @return 设计仓容
     */
    BigDecimal getStoreDesignCapacityById(Integer storehouseId);

    /**
     * 查询字典数据
     * @param enumId 枚举值ID
     * @return 枚举名称
     */
    String findByEnum(Integer enumId);

}
