package com.chinaitop.depot.grainSituationCard.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.chinaitop.depot.grainSituationCard.mapper.StorageDailycheckMapper;
import com.chinaitop.depot.grainSituationCard.mapper.StorageDailycheckOneMapper;
import com.chinaitop.depot.grainSituationCard.mapper.StorageDailycheckTwoMapper;
import com.chinaitop.depot.grainSituationCard.model.*;
import com.chinaitop.depot.grainSituationCard.service.StorageDailyCardService;
import com.chinaitop.depot.grainSituationCard.service.StorageGrainCardService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

/**
 * 2020/7/16
 * jidongjie
 */
@Service
public class StorageDailyCardServiceImpl implements StorageDailyCardService {

    @Resource
    private StorageDailycheckMapper dailyMapper;
    @Resource
    private StorageDailycheckOneMapper dailycheckOneMapper;
    @Resource
    private StorageDailycheckTwoMapper dailycheckTwoMapper;
    @Resource
    private StorageGrainCardService grainCardService;


    @Override
    public List<StorageDailycheck> findDailyList(Integer houseId, Integer warehouseId, Integer orgId) {
        StorageDailycheckExample grainCardExample = new StorageDailycheckExample();
        StorageDailycheckExample.Criteria criteria = grainCardExample.createCriteria();
        criteria.andHouseIdEqualTo(houseId);
        criteria.andWarehouseIdEqualTo(warehouseId);
        criteria.andOrgIdEqualTo(orgId);
        criteria.andFlagTypeIsNull();
        grainCardExample.setOrderByClause("check_time desc");
        return dailyMapper.selectByExample(grainCardExample);
    }

    @Override
    public Map<java.lang.String, Object> findDailyCardList(String id, String orgId, Integer houseId, Integer warehouseId) {
        Map<String, Object> map = new HashMap<String, Object>();

        /* 查询日常检查数据(不是自检那个菜单的日常检查，是专门的日常检查菜单的那个表的数据) start */
        StorageDailycheck dailycheckCard = new StorageDailycheck();
        //粮情卡的主键ID
        dailycheckCard.setDailycardId(id);
        if (StringUtils.isNotBlank(orgId)) {
            dailycheckCard.setOrgId(Integer.valueOf(orgId));
        }
        List<StorageDailycheck> dailyList = dailyMapper.selectDailyCardList(dailycheckCard);
        map.put("dailyList", dailyList);
        /* 查询日常检查数据(不是自检那个菜单的日常检查，是专门的日常检查菜单的那个表的数据) end */


        StorageDailycheckOneExample grainCardExample = new StorageDailycheckOneExample();
        StorageDailycheckOneExample.Criteria criteria = grainCardExample.createCriteria();
        if (houseId != null) {
            criteria.andHouseIdEqualTo(houseId);
        }
        if (warehouseId != null) {
            criteria.andWarehouseIdEqualTo(warehouseId);
        }
        if (StringUtils.isNotBlank(orgId)) {
            criteria.andOrgIdEqualTo(Integer.valueOf(orgId));
        }
        if (StringUtils.isNotBlank(id)) {
            criteria.andDailycardIdEqualTo(id);
        }
        List<StorageDailycheckOne> dailyListOne = dailycheckOneMapper.selectByExample(grainCardExample);
        map.put("dailyListOne", dailyListOne);

        StorageDailycheckTwoExample grainCardExample1 = new StorageDailycheckTwoExample();
        StorageDailycheckTwoExample.Criteria criteria1 = grainCardExample1.createCriteria();
        if (houseId != null) {
            criteria1.andHouseIdEqualTo(houseId);
        }
        if (warehouseId != null) {
            criteria1.andWarehouseIdEqualTo(warehouseId);
        }
        if (StringUtils.isNotBlank(orgId)) {
            criteria1.andOrgIdEqualTo(Integer.valueOf(orgId));
        }
        if (StringUtils.isNotBlank(id)) {
            criteria1.andDailycardIdEqualTo(id);
        }
        List<StorageDailycheckTwo> dailyListTwo = dailycheckTwoMapper.selectByExample(grainCardExample1);
        map.put("dailyListTwo", dailyListTwo);
        return map;
    }

    @Override
    public void saveAndCommit(String dailyCard, String dailyCardOne, String dailyCardTwo, Integer flagType, Integer orgId, String cardNum, Integer houseId, Integer warehouseId) {
        if (StringUtils.isNotBlank(dailyCard)) {
            if (2 == flagType) { //保存:1,提交:2
                grainCardService.updateGainOilCardFlagType(cardNum); // 更新卡主表flag_type(保存:1,提交:2)
            }
            List<StorageDailycheck> dailycheckList = JSONArray.parseArray(dailyCard, StorageDailycheck.class);
            dailycheckList.forEach(dailycheck -> {
                if (dailycheck.getFlagType() != null) {
                    dailycheck.setFlagType(flagType);
                    dailycheck.setOrgId(orgId);
                    dailycheck.setDailycardId(cardNum);
                    if (dailycheck.getId() == null) {
                        //添加
                        dailyMapper.insertSelective(dailycheck);
                    } else {
                        Integer flagType1 = dailyMapper.selectByPrimaryKey(dailycheck.getId()).getFlagType();
                        if (2 != flagType1) {
                            //修改
                            dailyMapper.updateByPrimaryKeySelective(dailycheck);
                        }
                    }
                }
            });
        }
        if (StringUtils.isNotBlank(dailyCardOne)) {
            List<StorageDailycheckOne> dailycheckOneList = JSONArray.parseArray(dailyCardOne, StorageDailycheckOne.class);
            dailycheckOneList.forEach(dailycheckOne -> {
                if (dailycheckOne.getDeflationDate() != null || dailycheckOne.getYjName() != null ||
                        dailycheckOne.getDeflationDate() != null || dailycheckOne.getAdministrationDate() != null) {
                    dailycheckOne.setHouseId(houseId);
                    dailycheckOne.setWarehouseId(warehouseId);
                    dailycheckOne.setFlagType(flagType);
                    dailycheckOne.setOrgId(orgId);
                    dailycheckOne.setDailycardId(cardNum);
                    if (dailycheckOne.getId() == null) {
                        dailycheckOne.setId(UUID.randomUUID().toString().replace("-", ""));
                        //添加
                        dailycheckOneMapper.insertSelective(dailycheckOne);
                    } else {
                        Integer flagType1 = dailycheckOneMapper.selectByPrimaryKey(dailycheckOne.getId()).getFlagType();
                        if (2 != flagType1) {
                            //修改
                            dailycheckOneMapper.updateByPrimaryKeySelective(dailycheckOne);
                        }
                    }
                }
            });
        }
        if (StringUtils.isNotBlank(dailyCardTwo)) {
            List<StorageDailycheckTwo> dalityCardTwoList = JSONArray.parseArray(dailyCardTwo, StorageDailycheckTwo.class);
            dalityCardTwoList.forEach(dalityCardTwo -> {
                if (dalityCardTwo.getTfafterTem() != null || dalityCardTwo.getTfbeforeTem() != null || dalityCardTwo.getAerationType() != null
                        || dalityCardTwo.getTfstartTime() != null || dalityCardTwo.getTfendTime() != null) {
                    dalityCardTwo.setHouseId(houseId);
                    dalityCardTwo.setWarehouseId(warehouseId);
                    dalityCardTwo.setFlagType(flagType);
                    dalityCardTwo.setOrgId(orgId);
                    dalityCardTwo.setDailycardId(cardNum);
                    if (dalityCardTwo.getId() == null) {
                        dalityCardTwo.setId(UUID.randomUUID().toString().replace("-", ""));
                        //添加
                        dailycheckTwoMapper.insertSelective(dalityCardTwo);
                    } else {
                        Integer flagType1 = dailycheckTwoMapper.selectByPrimaryKey(dalityCardTwo.getId()).getFlagType();
                        if (2 != flagType1) {
                            //修改
                            dailycheckTwoMapper.updateByPrimaryKeySelective(dalityCardTwo);
                        }
                    }
                }

            });
        }
    }

    @Override
    public void deleteDailyCardById(Integer type, String id) {
        if (StringUtils.isNotBlank(id)) {
            if (type == 1) {
                dailyMapper.deleteByPrimaryKey(Integer.valueOf(id));
            } else if (type == 2) {
                dailycheckOneMapper.deleteByPrimaryKey(id);
            } else if (type == 3) {
                dailycheckTwoMapper.deleteByPrimaryKey(id);
            }
        }
    }

}
