package com.chinaitop.depot.grainSituationCard.service.impl;

import com.chinaitop.depot.grainSituationCard.mapper.StorageOverRunAlarmMapper;
import com.chinaitop.depot.grainSituationCard.model.StorageOverRunAlarm;
import com.chinaitop.depot.grainSituationCard.model.StorageOverRunAlarmView;
import com.chinaitop.depot.grainSituationCard.service.StorageOverRunAlarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * 库存超限告警实现类
 * @author aihua
 * @date 2022-04-15 21:09
 */
@Service
public class StorageOverRunAlarmServiceImpl implements StorageOverRunAlarmService {
    private StorageOverRunAlarmMapper storageOverRunAlarmMapper;

    @Autowired
    public void setStorageOverRunAlarmMapper(StorageOverRunAlarmMapper storageOverRunAlarmMapper) {
        this.storageOverRunAlarmMapper = storageOverRunAlarmMapper;
    }

    /**
     * 查询库存超限告警列表
     * @param orgId 组织机构ID
     * @return {@link StorageOverRunAlarmView} vo list
     */
    @Override
    public List<StorageOverRunAlarmView> getAlarmList(String orgId) {
        return storageOverRunAlarmMapper.selectAlarmList(orgId);
    }

    /**
     * 新增库存超限告警记录
     * @param alarm {@link StorageOverRunAlarm} entity
     */
    @Override
    public void insertStorageAlarm(StorageOverRunAlarm alarm) {
        storageOverRunAlarmMapper.insertAlarm(alarm);
    }

    /**
     * 查询设计设计仓容
     * @param storehouseId 仓房ID
     * @return 设计仓容
     */
    @Override
    public BigDecimal getStoreDesignCapacityById(Integer storehouseId) {
        return storageOverRunAlarmMapper.getStoreDesignCapacityById(storehouseId);
    }

    /**
     * 查询字典数据
     * @param enumId 枚举值ID
     * @return 枚举名称
     */
    @Override
    public String findByEnum(Integer enumId) {
        return storageOverRunAlarmMapper.findByEnum(enumId);
    }

}
