package com.chinaitop.depot.grainSituationCard.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.chinaitop.depot.grainSituationCard.mapper.StorageQualitycheckInspectionMapper;
import com.chinaitop.depot.grainSituationCard.mapper.StorageQualitycheckMapper;
import com.chinaitop.depot.grainSituationCard.model.StorageQualitycheckCard;
import com.chinaitop.depot.grainSituationCard.model.StorageQualitycheckInspectionExample;
import com.chinaitop.depot.grainSituationCard.service.StorageGrainCardService;
import com.chinaitop.depot.grainSituationCard.service.StorageQualityCardService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 2020/7/16
 * jidongjie
 */
@Service
public class StorageQualityCardServiceImpl implements StorageQualityCardService {

    @Resource
    private StorageQualitycheckMapper qualitycheckMapper;
    @Resource
    private StorageQualitycheckInspectionMapper qualityInspectionMapper;
    @Resource
    private StorageGrainCardService grainCardService;

    @Override
    public List<StorageQualitycheckCard> findQualityList(Integer houseId, Integer warehouseId, Integer orgId) {
        StorageQualitycheckCard qualitycheckCard = new StorageQualitycheckCard();
        qualitycheckCard.setHouseId(houseId);
        if (warehouseId != null) {
            qualitycheckCard.setWarehouseId(warehouseId);
        }
        qualitycheckCard.setOrgId(orgId);
        qualitycheckCard.setFlagType(0);
        return qualitycheckMapper.selectQuailckCardList(qualitycheckCard);
    }

    @Override
    public void saveAndCommit(String qualitycheckJson, Integer flagType, Integer orgId, String cardNum) {
        List<StorageQualitycheckCard> qalityCardList = JSONArray.parseArray(qualitycheckJson, StorageQualitycheckCard.class);
        if (2 == flagType) { //保存:1,提交:2
            grainCardService.updateGainOilCardFlagType(cardNum); // 更新卡主表flag_type(保存:1,提交:2)
        }
        qalityCardList.forEach(qalityCard -> {
            if (qalityCard.getFlagType() != null) {
                Integer qualityCheckId = 0;
                if (flagType == 1) { //保存:1,提交:2
                    qalityCard.setFlagType(1);
                } else {
                    qalityCard.setFlagType(2);
                }
                qalityCard.setOrgId(orgId);
                qalityCard.setProcessState(2);
                //粮情卡主表id
                qalityCard.setQuailtyCardId(cardNum);

                if (qalityCard.getId() == null) {
                    //添加
                    qualitycheckMapper.insertSelective(qalityCard);
                    if (qalityCard.getQualitycheckInspection() != null) {
                        qualityCheckId = qalityCard.getId() + 1;
                        //添加子表(化验项)
                        qalityCard.getQualitycheckInspection().setQualitycheckId(qualityCheckId);
                        qualityInspectionMapper.insertSelective(qalityCard.getQualitycheckInspection());
                    }
                } else {
                    Integer flagType1 = qualitycheckMapper.selectByPrimaryKey(qalityCard.getId()).getFlagType();
                    if (2 != flagType1) {
                        // 更新
                        qualitycheckMapper.updateByPrimaryKeySelective(qalityCard);
                        //修改子表(化验项)
                        if (qalityCard.getQualitycheckInspection() != null) {
                            qalityCard.getQualitycheckInspection().setQualitycheckId(qalityCard.getId());
                            qualityInspectionMapper.updateByPrimaryKeySelective(qalityCard.getQualitycheckInspection());
                        }
                    }
                }
            }

        });

    }

    @Override
    public void deleteQualityCardById(Integer id) {
        try {
            //删除主表
            qualitycheckMapper.deleteByPrimaryKey(id);

            //删除子表
            StorageQualitycheckInspectionExample grainCardExample = new StorageQualitycheckInspectionExample();
            StorageQualitycheckInspectionExample.Criteria criteria = grainCardExample.createCriteria();
            criteria.andQualitycheckIdEqualTo(id);
            qualityInspectionMapper.deleteByExample(grainCardExample);

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
